name: yimaru_app
version: 0.1.6+8
publish_to: 'none'
description: A new Flutter project.

environment:
  sdk: '>=3.0.3 <4.0.0'

dependencies:
  flutter:
    sdk: flutter
  intl: any
  dio: ^5.9.0
  path: ^1.9.1
  pinput: ^6.0.1
  stacked: ^3.4.0
  iconsax: ^0.0.8
  chewie: ^1.13.0
  smart_auth: ^3.2.0
  flutter_svg: ^2.2.3
  stacked_shared: any
  image_picker: ^1.2.1
  battery_plus: ^7.0.0
  storage_info: ^1.0.0
  flutter_html: ^3.0.0
  email_validator: any
  audioplayers: ^6.6.0
  video_player: ^2.10.1
  firebase_core: ^4.4.0
  in_app_update: ^4.2.5
  path_provider: ^2.1.5
  google_sign_in: ^7.2.0
  toastification: ^3.0.3
  dropdown_search: ^6.0.2
  json_annotation: ^4.9.0
  flutter_spinkit: ^5.2.2
  stacked_services: ^1.1.0
  omni_datetime_picker: any
  json_serializable: ^6.8.0
  waveform_recorder: ^1.8.0
  vimeo_video_player: ^1.0.3
  permission_handler: ^12.0.1
  firebase_messaging: ^16.1.1
  cached_network_image: ^3.4.1
  flutter_native_splash: ^2.4.7
  change_app_package_name: ^1.5.0
  flutter_secure_storage: ^10.0.0
  flutter_timer_countdown: ^1.0.7
  flutter_carousel_widget: ^3.1.0
  flutter_inappwebview: ^6.2.0-beta.3
  flutter_local_notifications: ^20.1.0
  internet_connection_checker_plus: ^2.9.1+2

dev_dependencies:
  flutter_test:
    sdk: flutter
  mockito: ^5.4.1
  build_runner: ^2.4.5
  flutter_lints: ^2.0.0
  golden_toolkit: ^0.15.0
  stacked_generator: ^1.3.3

dependency_overrides:
  intl: ^0.20.2


flutter:
  uses-material-design: true

  assets:
    - assets/icons/
    - assets/images/
  fonts:
    - family: Aeonik
      fonts:
        - asset: assets/fonts/Aeonik-Regular.ttf

flutter_native_splash:
  ios: true
  android: true
  android_gravity: center
  ios_content_mode: center

  color: "#0A0E21"   # background color
  image: assets/icons/splash_logo.png

  android_12:
    color: "#9E2891"
    image: assets/icons/splash_logo.png

